before_script:
  - apt-get update
  - python3 --version
  - apt-get install -y python3-pip
  - pip3 install -r requirements.txt


stages:
  - Static Analysis
  - Test
  - deploy

pylint:
  stage: Static Analysis
  script:
  - pylint -d C0301,W0614,C0114,W0401,C0103 main.py

unittest:
  stage: Test
  script:
    - python3 -m unittest test.py

smokeTest:
  stage: Test
  script:
    -  echo "moscow" | python3 ./main.py

pages:
  stage: deploy
  script:
    - pip3 install -U sphinx
    - sphinx-build -b html ./source/ public
  artifacts:
    paths:
    - public/